Subject: bug#11360: Case sensitive ERC nick completion regression

From: Barry Warsaw <[email-masked]>
Date: Fri, 5 Feb 2016 14:08:05 -0500

On Feb 04, 2016, at 05:45 PM, Lars Ingebrigtsen wrote:

>I've now been following the completion code down the rabbit hole, and via
>approx. 23 indirections, the completion is actually done by
>`try-completions'.  And that respects the `completion-ignore-case' variable.
>
>However, TAB is bound to `completion-at-point', which does not allow any way
>to have that variable be bound.  So I think we'll just have to bind TAB to an
>erc function that binds that variable, and then call `completion-at-point'.

Thanks Lars.  I remember trying to chase the rabbit too when I originally
reported the problem, but quickly lost my sanity.

I think you're right about binding TAB to a special function.

Cheers,
-Barry